Projets
GET https://biolink.travel/api/projects/
curl --request GET \
--url 'https://biolink.travel/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.travel/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | La chaîne de recherche. |
| search_by | Optionnel Chaîne | Par quel champ effectuez-vous la recherche ? Les valeurs autorisées sont : name. |
| datetime_field | Optionnel Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optionnel Chaîne | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optionnel Chaîne | Par quel champ trier les résultats. Valeurs autorisées : project_id, datetime, last_datetime, name. |
| order_type | Optionnel Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| page | Optionnel Entier | Le numéro de page à partir duquel vous souhaitez obtenir les résultats. Par défaut, 1. |
| results_per_page | Optionnel Entier | Combien de résultats souhaitez-vous par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut : 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-04-15 20:24:30",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://biolink.travel/api/projects?page=1",
"last": "https://biolink.travel/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://biolink.travel/api/projects?page=1"
}
}
GET https://biolink.travel/api/projects/{project_id}
curl --request GET \
--url 'https://biolink.travel/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.travel/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-04-15 20:24:30",
}
}
POST https://biolink.travel/api/projects
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis Chaîne | - |
| color | Optionnel Chaîne | - |
curl --request POST \
--url 'https://biolink.travel/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://biolink.travel/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://biolink.travel/api/projects/{project_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Optionnel Chaîne | - |
| color | Optionnel Chaîne | - |
curl --request POST \
--url 'https://biolink.travel/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://biolink.travel/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://biolink.travel/api/projects/{project_id}
curl --request DELETE \
--url 'https://biolink.travel/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.travel/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \